import java.io.*;

class fa1 extends fi_x
{
   double [] func (double x)
   {
	double ff[]=new double[3];   
    ff[0]=J(0,x);
    ff[1]=J(0.5,x);
    ff[2]=J(1,x);
    return ff;
   }
}
 
class NA0C
{
     public static void main (String args[]) throws IOException
     {
     fa1 ff1=new fa1();    
     Plot pp=new Plot(ff1,0.0,20.0,400,3);
     double x[]={0.0,20.0};
	 double y[]={0.0,0.0};
	 pp.addData(x,y);
     pp.plot();
     }
}
